Skip to main content
Resource Center/Resource Pool/VM Instance Operations

UploadFileToVm

UploadFileToVm

POST/zstack/v1/upload-file

Operation ID

UploadFileToVm

Since

5.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • vmInstanceUuids
      ListRequired

      The VM instances that the files are uploaded to.

    • fileContent
      StringRequired

      The file content which is encoded using Base64.

    • remotePath
      StringRequired

      The absolute path that the files are uploaded to. The path contains the file name.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.